## genders 1.0

=== Makefile ===
#
# Copyright (C) 2000-2001 Regents of the University of California
# See the DISCLAIMER file distributed with this package.
#

PROJECT=	genders

all: inst

install:
	install -m 555 -o root -g root inst /usr/local/bin

clean:
	rm -f inst a.out core *.rpm *.tgz *.a *.o

include Make-rpm.mk

## genders 1.13

=== debian/changelog ===
genders (1.13-2) unstable; urgency=low

  * Verify compliance with Debian policy 3.8.3
  * Switch to quilt package format.
  * Update maintainer email address.

 -- Brian Pellin <bpellin@debian.org>  Tue, 22 Dec 2009 14:41:21 -0600

genders (1.13-1) unstable; urgency=low

  * New upstream release
  * Update debhelper version to 7
  * Update copyright to refer to GPL-2
  * Fix path for config.{sub,guess} (closes: #533690)
  * Add Git-Vcs
  * Verify compliance with policy 3.8.2.0

 -- Brian Pellin <bpellin@gmail.com>  Sun, 05 Jul 2009 00:52:41 -0500

genders (1.11-1-1) unstable; urgency=medium

  * New upstream release

 -- Brian Pellin <bpellin@gmail.com>  Tue, 15 Jul 2008 22:17:22 -0500

genders (1.9-1-1) unstable; urgency=low

  * New upstream release
  * Added watch file

 -- Brian Pellin <bpellin@gmail.com>  Fri, 27 Jun 2008 21:50:02 -0500

genders (1.6-1-1) unstable; urgency=low

  * New upstream release
  * Add build depedancy on lex,bison (closes: #424317)

 -- Brian Pellin <bpellin@gmail.com>  Sun, 07 Oct 2007 14:11:08 -0500

genders (1.4-1-1) unstable; urgency=low

  * New upstream release.
  * Remove bashism from debian/rules (closes: #374486)
  * Remove spelling errors in package description (closes: #363602)
  * Verified that package complies with Standards Version 3.7.2

 -- Brian Pellin <bpellin@pellin.net>  Tue, 20 Jun 2006 15:18:42 -0500

genders (1.3-4-1) unstable; urgency=low

  * New upsteram release

 -- Brian Pellin <bpellin@pellin.net>  Fri, 16 Sep 2005 13:34:37 -0500

genders (1.0-2-1) unstable; urgency=low

  * Updated copyright file to closer match standards
  * Verified that package complies with Standards Version 3.6.1

 -- Brian Pellin <bpellin@pellin.net>  Thu, 18 Nov 2004 13:20:27 -0600

genders (1.0-2-0rc1) unstable; urgency=low

  * Initial Release.

 -- Brian Pellin <bpellin@pellin.net>  Tue,  5 Aug 2003 01:00:55 -0500

=== debian/control ===
Source: genders
Section: admin
Priority: optional
Maintainer: Brian Pellin <bpellin@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 7.0.8), perl (>= 5.6.0-16), autotools-dev, chrpath, flex, bison
Standards-Version: 3.8.3
VCS-Git: git://git.debian.org/git/collab-maint/genders.git

Package: genders
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: rdist
Conflicts: pdsh ( << 2.8-1-1 )
Homepage: https://computing.llnl.gov/linux/genders.html
Description: cluster configuration management database tools
 Genders is a static cluster configuration database used for cluster
 configuration management.  It is used by a variety of tools and
 scripts for management of large clusters.  The genders database is
 typically replicated on every node of the cluster. It describes the
 layout and configuration of the cluster so that tools and scripts can
 sense the variations of cluster nodes. By abstracting this information
 into a plain text file, it becomes possible to change the
 configuration of a cluster by modifying only one file.

Package: libgenders-perl
Section: perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Homepage: https://computing.llnl.gov/linux/genders.html
Description: perl interface to the LLNL genders cluster management utilities
 A Perl API for querying the genders file, for LLNL genders cluster
 configuration management. It is used by 
 system administration scripts that need to manipulate lists of nodes or 
 attributes and for performance or other reasons cannot do so via 
 repeated calls to the Nodeattr utility.

Package: libgenders0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: https://computing.llnl.gov/linux/genders.html
Description: C library for parsing and querying a genders database
 Genders is a static cluster configuration database used for cluster
 configuration management.  It is used by a variety of tools and
 scripts for management of large clusters.  The genders database is
 typically replicated on every node of the cluster. It describes the
 layout and configuration of the cluster so that tools and scripts can
 sense the variations of cluster nodes. By abstracting this information
 into a plain text file, it becomes possible to change the
 configuration of a cluster by modifying only one file.

Package: libgenders0-dev
Section: libdevel
Provides: libgenders-dev
Conflicts: libgenders-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgenders0 (= ${binary:Version})
Homepage: https://computing.llnl.gov/linux/genders.html
Description: development files for parsing and querying a genders database
 Genders is a static cluster configuration database used for cluster
 configuration management.  It is used by a variety of tools and
 scripts for management of large clusters.  The genders database is
 typically replicated on every node of the cluster. It describes the
 layout and configuration of the cluster so that tools and scripts can
 sense the variations of cluster nodes. By abstracting this information
 into a plain text file, it becomes possible to change the
 configuration of a cluster by modifying only one file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

INSTALL_DIR=$(CURDIR)/debian/tmp

config.status: configure
	dh_testdir

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config/config.guess
endif
	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info  --with-perl-destdir=""


#Architecture 
build: build-arch 

build-arch: build-arch-stamp 
build-arch-stamp:  config.status

	# Add here commands to compile the arch part of the package.
	$(MAKE) 
	touch build-arch-stamp

build-indep: 
	# Do nothing

clean:
	dh_testdir
	dh_testroot
	
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	# Distro clean target misses some files
	rm -f $(CURDIR)/src/Libgenders/blib/arch/auto/Libgenders/Libgenders.so
	rm -f $(CURDIR)/src/Libgenders/fd.o
	rm -f $(CURDIR)/src/Libgenders/Libgenders.{o,c}
	rm -f $(CURDIR)/src/Libgenders/Makefile.xs
	rm -f $(CURDIR)/src/Libgenders/blib/man3/Libgenders.3pm
	rm -f $(CURDIR)/src/Libgenders/blib/lib/Libgenders.pm
	rm -f $(CURDIR)/src/Libgenders/genders.o
	rm -f $(CURDIR)/src/Libgenders/hostlist.o
	rm -f $(CURDIR)/src/Libgenders/list.o
	rm -f $(CURDIR)/src/Genders/Genders.3pm

	rm -f *-stamp

	rm -f config/config.sub config/config.guess

	dh_clean 

install: install-indep install-arch
install-indep:
	# Do nothing

install-arch: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_prep -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) install DESTDIR=$(INSTALL_DIR)

	#dh_install -s

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_install --sourcedir=$(INSTALL_DIR)
	dh_link
ifndef $(NOSTRIP)
	dh_strip
endif
	dh_compress 
	dh_fixperms
	chmod 644 $(CURDIR)/debian/libgenders-perl/usr/share/perl5/gendlib.pl
	chmod 644 $(CURDIR)/debian/libgenders-perl/usr/share/perl5/hostlist.pl
	chrpath -d $(CURDIR)/debian/libgenders-perl/usr/lib/perl5/auto/Libgenders/Libgenders.so
	chrpath -d $(CURDIR)/debian/genders/usr/bin/nodeattr
	dh_perl -plibgenders-perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

## genders 1.14

=== debian/changelog ===
genders (1.14-2) unstable; urgency=low

  * Fix bashism in build system
  * Switch to quilt package format.

 -- Brian Pellin <bpellin@debian.org>  Sun, 23 May 2010 23:57:19 -0500

genders (1.14-1) unstable; urgency=low

  * New upstream version
  * Remove bashism from debian/rules (closes: #581464)
  * Verify compliance with debian policy 3.8.4

 -- Brian Pellin <bpellin@debian.org>  Fri, 21 May 2010 21:55:20 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Brian Pellin <bpellin@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 7.0.8), perl (>= 5.6.0-16), autotools-dev, chrpath, flex, bison
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7.0.8), perl, autotools-dev, chrpath, flex, bison, quilt (>= 0.46-7~)
+Standards-Version: 3.8.4
 VCS-Git: git://git.debian.org/git/collab-maint/genders.git
 
 Package: genders

=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,8 @@
 	# Distro clean target misses some files
 	rm -f $(CURDIR)/src/Libgenders/blib/arch/auto/Libgenders/Libgenders.so
 	rm -f $(CURDIR)/src/Libgenders/fd.o
-	rm -f $(CURDIR)/src/Libgenders/Libgenders.{o,c}
+	rm -f $(CURDIR)/src/Libgenders/Libgenders.o
+	rm -f $(CURDIR)/src/Libgenders/Libgenders.c
 	rm -f $(CURDIR)/src/Libgenders/Makefile.xs
 	rm -f $(CURDIR)/src/Libgenders/blib/man3/Libgenders.3pm
 	rm -f $(CURDIR)/src/Libgenders/blib/lib/Libgenders.pm

## genders 1.17

=== debian/changelog ===
genders (1.17-4) unstable; urgency=low

  * Add autoconf to build-deps; call autoconf during build.
    - Thanks to Gregor Herrmann. (Closes: #646286)

 -- tony mancill <tmancill@debian.org>  Fri, 18 Nov 2011 14:23:56 -0800

genders (1.17-3) unstable; urgency=low

  * Add patch for aclocal.m4.
    - Thanks to Jakub Wilk. 
  * Bump standards version to 3.9.2.

 -- tony mancill <tmancill@debian.org>  Fri, 18 Nov 2011 18:09:36 +0000

genders (1.17-2) unstable; urgency=low

  * Add Build-Depends on libbsd-dev (closes: #623346)

 -- Brian Pellin <bpellin@debian.org>  Tue, 19 Apr 2011 18:26:52 -0500

genders (1.17-1) unstable; urgency=low

  * New upstream version
  * Remove .la file (closes: #621166)
  * Verify compliance with policy 3.9.1

 -- Brian Pellin <bpellin@debian.org>  Mon, 18 Apr 2011 21:10:20 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Brian Pellin <bpellin@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 7.0.8), perl, autotools-dev, chrpath, flex, bison, quilt (>= 0.46-7~)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.8), perl, autotools-dev, chrpath, flex, bison, libbsd-dev, autoconf
+Standards-Version: 3.9.2
 VCS-Git: git://git.debian.org/git/collab-maint/genders.git
 
 Package: genders

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,8 @@
 
 INSTALL_DIR=$(CURDIR)/debian/tmp
 
-config.status: configure
+configure: configure-stamp
+configure-stamp:
 	dh_testdir
 
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
@@ -40,14 +41,27 @@
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config/config.guess
 endif
-	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info  --with-perl-destdir=""
+	CFLAGS="$(CFLAGS) -Wl,-z,defs" \
 
+	autoconf
+
+	./configure \
+		--host=$(DEB_HOST_GNU_TYPE) \
+		--build=$(DEB_BUILD_GNU_TYPE) \
+		--prefix=/usr \
+		--mandir=\$${prefix}/share/man \
+		--infodir=\$${prefix}/share/info \
+		--with-extension-destdir=$(INSTALL_DIR) \
+		--with-perl-vendor-arch \
+		--without-python-extensions
+
+	touch configure-stamp
 
 #Architecture 
 build: build-arch 
 
 build-arch: build-arch-stamp 
-build-arch-stamp:  config.status
+build-arch-stamp: configure-stamp
 
 	# Add here commands to compile the arch part of the package.
 	$(MAKE) 
@@ -63,22 +77,9 @@
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
 
-	# Distro clean target misses some files
-	rm -f $(CURDIR)/src/Libgenders/blib/arch/auto/Libgenders/Libgenders.so
-	rm -f $(CURDIR)/src/Libgenders/fd.o
-	rm -f $(CURDIR)/src/Libgenders/Libgenders.o
-	rm -f $(CURDIR)/src/Libgenders/Libgenders.c
-	rm -f $(CURDIR)/src/Libgenders/Makefile.xs
-	rm -f $(CURDIR)/src/Libgenders/blib/man3/Libgenders.3pm
-	rm -f $(CURDIR)/src/Libgenders/blib/lib/Libgenders.pm
-	rm -f $(CURDIR)/src/Libgenders/genders.o
-	rm -f $(CURDIR)/src/Libgenders/hostlist.o
-	rm -f $(CURDIR)/src/Libgenders/list.o
-	rm -f $(CURDIR)/src/Genders/Genders.3pm
-
 	rm -f *-stamp
 
-	rm -f config/config.sub config/config.guess
+	rm -f config/config.sub config/config.guess configure
 
 	dh_clean

## genders 1.18

=== debian/changelog ===
genders (1.18-1) unstable; urgency=low

  * New upstream version.
  * Remove unneeded Build-Depends on libbsd-dev (closes: #629170)
  * Fix bashisms in build system (closes: #624078). Thanks Jonathan
    Nieder
  * Verify compliance with Debian policy 3.9.3.

 -- Brian Pellin <bpellin@debian.org>  Wed, 02 May 2012 20:49:56 -0600

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Brian Pellin <bpellin@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 7.0.8), perl, autotools-dev, chrpath, flex, bison, libbsd-dev, autoconf
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.8), perl, autotools-dev, chrpath, flex, bison, dh-autoreconf
+Standards-Version: 3.9.3
 VCS-Git: git://git.debian.org/git/collab-maint/genders.git
 
 Package: genders

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 endif
 	CFLAGS="$(CFLAGS) -Wl,-z,defs" \
 
-	autoconf
+	dh_autoreconf
 
 	./configure \
 		--host=$(DEB_HOST_GNU_TYPE) \
@@ -79,8 +79,9 @@
 
 	rm -f *-stamp
 
-	rm -f config/config.sub config/config.guess configure
-
+	rm -f config/config.sub config/config.guess
+	
+	dh_autoreconf_clean
 	dh_clean 
 
 install: install-indep install-arch

## genders 1.20

=== debian/changelog ===
genders (1.20-1build1) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 13:19:09 +0100

genders (1.20-1) unstable; urgency=low

  * New upstream version.

 -- Brian Pellin <bpellin@debian.org>  Sat, 04 May 2013 23:23:48 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Brian Pellin <bpellin@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 7.0.8), perl, autotools-dev, chrpath, flex, bison, dh-autoreconf
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), perl, autotools-dev, chrpath, flex, bison, dh-autoreconf
+Standards-Version: 3.9.4
 VCS-Git: git://git.debian.org/git/collab-maint/genders.git
 
 Package: genders
@@ -39,6 +39,8 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Homepage: https://computing.llnl.gov/linux/genders.html
 Description: C library for parsing and querying a genders database
  Genders is a static cluster configuration database used for cluster

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -45,12 +46,7 @@
 
 	dh_autoreconf
 
-	./configure \
-		--host=$(DEB_HOST_GNU_TYPE) \
-		--build=$(DEB_BUILD_GNU_TYPE) \
-		--prefix=/usr \
-		--mandir=\$${prefix}/share/man \
-		--infodir=\$${prefix}/share/info \
+	dh_auto_configure -- \
 		--with-extension-destdir=$(INSTALL_DIR) \
 		--with-perl-vendor-arch \
 		--without-python-extensions
@@ -64,7 +60,7 @@
 build-arch-stamp: configure-stamp
 
 	# Add here commands to compile the arch part of the package.
-	$(MAKE) 
+	dh_auto_build
 	touch build-arch-stamp
 
 build-indep: 
@@ -75,7 +71,7 @@
 	dh_testroot
 	
 	# Add here commands to clean up after the build process.
-	[ ! -f Makefile ] || $(MAKE) distclean
+	dh_auto_clean
 
 	rm -f *-stamp
 
@@ -96,9 +92,8 @@
 
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
-	$(MAKE) install DESTDIR=$(INSTALL_DIR)
+	dh_auto_install
 
-	#dh_install -s
 
 binary-common:
 	dh_testdir

## genders 1.21

=== debian/changelog ===
genders (1.21-1build2) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 01:08:03 +0000

genders (1.21-1build1) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Aug 2014 00:11:03 +0100

genders (1.21-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix "hardcodes /usr/lib/perl5":
    - Make debian/libgenders-perl.install executable, and use
      $Config{vendorarch}.
    - Use $Config{vendorarch} in debian/rules as well.
    (Closes: #752474)

  [ Brian Pellin ]
  * Bump standards version.
  * New upstream version.
 -- Brian Pellin <bpellin@debian.org>  Sat, 05 Jul 2014 17:40:11 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Brian Pellin <bpellin@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends: debhelper (>= 9), perl, autotools-dev, chrpath, flex, bison, dh-autoreconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 VCS-Git: git://git.debian.org/git/collab-maint/genders.git
 
 Package: genders

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 endif
 
 INSTALL_DIR=$(CURDIR)/debian/tmp
+PERL_ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
 
 configure: configure-stamp
 configure-stamp:
@@ -49,7 +50,8 @@
 	dh_auto_configure -- \
 		--with-extension-destdir=$(INSTALL_DIR) \
 		--with-perl-vendor-arch \
-		--without-python-extensions
+		--without-python-extensions \
+		--without-java-extensions
 
 	touch configure-stamp
 
@@ -120,7 +122,7 @@
 	dh_fixperms
 	chmod 644 $(CURDIR)/debian/libgenders-perl/usr/share/perl5/gendlib.pl
 	chmod 644 $(CURDIR)/debian/libgenders-perl/usr/share/perl5/hostlist.pl
-	chrpath -d $(CURDIR)/debian/libgenders-perl/usr/lib/perl5/auto/Libgenders/Libgenders.so
+	chrpath -d $(CURDIR)/debian/libgenders-perl$(PERL_ARCHLIB)/auto/Libgenders/Libgenders.so
 	chrpath -d $(CURDIR)/debian/genders/usr/bin/nodeattr
 	dh_perl -plibgenders-perl
 #	dh_python

=== debian/watch ===
version=3

opts="uversionmangle=s/$/-1/" \
http://sf.net/genders/genders-(.+)\.tar\.gz

## genders 1.22

=== debian/changelog ===
genders (1.22-1build8) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:40:01 +0000

genders (1.22-1build7) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:01:07 +0100

genders (1.22-1build6) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:04:13 +0100

genders (1.22-1build5) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 16:21:43 +0100

genders (1.22-1build4) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:40:06 +0100

genders (1.22-1build3) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 12:40:58 +0100

genders (1.22-1build2) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:27:36 +0000

genders (1.22-1build1) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 18:08:19 -0600

genders (1.22-1) unstable; urgency=low

  * New upstream version.
  * Fix VCS path
  * Bump standards version to 4,2.0

 -- Brian Pellin <bpellin@debian.org>  Wed, 22 Aug 2018 22:22:03 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: genders
 Section: admin
 Priority: optional
-Maintainer: Brian Pellin <bpellin@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Brian Pellin <bpellin@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends: debhelper (>= 9), perl, autotools-dev, chrpath, flex, bison, dh-autoreconf
-Standards-Version: 3.9.5
-VCS-Git: git://git.debian.org/git/collab-maint/genders.git
+Standards-Version: 4.2.0
+VCS-Git: https://salsa.debian.org/bpellin/genders
 
 Package: genders
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -17,18 +17,15 @@
 export DH_OPTIONS
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
 
 INSTALL_DIR=$(CURDIR)/debian/tmp
 PERL_ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')

## genders 1.27-3

=== debian/changelog ===
genders (1.27-3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089336)

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 11:51:46 +0000

genders (1.27-3-3) unstable; urgency=medium

  * Update Homepage (closes: #1085174)
  * Fix parallel build issue (closes: #1085168)
  * Bump standards version to 4.7.0

 -- Brian Pellin <bpellin@debian.org>  Wed, 16 Oct 2024 21:24:45 -0500

genders (1.27-3-2) unstable; urgency=medium

  * Fix GCC 14 compile issues (closes: #1074985)

 -- Brian Pellin <bpellin@debian.org>  Fri, 26 Jul 2024 21:35:54 -0500

genders (1.27-3-1) experimental; urgency=medium

  * New upstream version

 -- Brian Pellin <bpellin@debian.org>  Sun, 03 Sep 2023 21:47:39 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: genders
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Brian Pellin <bpellin@debian.org>
+Maintainer: Brian Pellin <bpellin@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 9), perl, autotools-dev, chrpath, flex, bison, dh-autoreconf
-Standards-Version: 4.2.0
+Build-Depends: debhelper-compat (= 10), perl, autotools-dev, chrpath, flex, bison, dh-autoreconf
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 VCS-Git: https://salsa.debian.org/bpellin/genders
 
 Package: genders
@@ -28,6 +28,7 @@
 Section: perl
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Multi-Arch: same
 Homepage: https://computing.llnl.gov/linux/genders.html
 Description: perl interface to the LLNL genders cluster management utilities
  A Perl API for querying the genders file, for LLNL genders cluster
@@ -59,6 +60,7 @@
 Conflicts: libgenders-dev
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libgenders0 (= ${binary:Version})
+Multi-Arch: same
 Homepage: https://computing.llnl.gov/linux/genders.html
 Description: development files for parsing and querying a genders database
  Genders is a static cluster configuration database used for cluster

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS = -Wall -g
+CFLAGS = -Wall -Wno-incompatible-pointer-types -g
 
 INSTALL_DIR=$(CURDIR)/debian/tmp
 PERL_ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
@@ -68,14 +68,14 @@
 clean:
 	dh_testdir
 	dh_testroot
-	
+
 	# Add here commands to clean up after the build process.
 	dh_auto_clean
 
 	rm -f *-stamp
 
 	rm -f config/config.sub config/config.guess
-	
+
 	dh_autoreconf_clean
 	dh_clean 
 
@@ -92,6 +92,7 @@
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
 	dh_auto_install
+	chmod -R u+rwX $(CURDIR)/debian/tmp
 
 
 binary-common:

=== debian/watch ===
# Using /releases because /tags can't be sorted chronologically
version=4
opts="searchmode=plain, \
  filenamemangle=s/.+\/genders-@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/, \
  pgpmode=none, \
  repacksuffix=+ds, \
  dversionmangle=auto" \
https://api.github.com/repos/chaos/genders/releases \
https://api.github.com/repos/chaos/genders/tarball/genders-@ANY_VERSION@ \
debian
